Download it now!
Bug 124649 - Menubar: Show icons for the most important items
Summary: Menubar: Show icons for the most important items
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Main-Menu Icon-Request
  Show dependency treegraph
 
Reported: 2019-04-10 10:30 UTC by andreas_k
Modified: 2019-04-18 22:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
writer menubar -> edit in 6.2 (47.97 KB, image/jpeg)
2019-04-10 10:32 UTC, andreas_k
Details
Writer -> Edit show at all commands an icon (41.65 KB, image/jpeg)
2019-04-10 10:32 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-04-10 10:30:23 UTC
the LibreOffice guideline say that the Menubar should show the most importend items with an icon and the text [1].

I added for all menubars in sifr all icons. When I was finished there result is an consistent menubar, BUT the menubar isn't that fast to read as it should. In addition sifr is monochrome, so in any other icon theme the colored icons would be even more in your face than sifr icons.

So it's maybe better to follow the LibreOffice guideline and show only icons for the most improtend commands. 

As you need for all commands in an toolbar an Icon, the Menubar will show also for som not that much importend commands icons and the UI clutter.

So I recommend to define in the menubar.xml file wich command should show an icon and which not.


https://wiki.documentfoundation.org/Design/MenuBar
Comment 1 andreas_k 2019-04-10 10:32:09 UTC
Created attachment 150655 [details]
writer menubar -> edit in 6.2

exchange database and reference has an icon, cause the command was used in the toolbar, but than the commands are not that importend.
Comment 2 andreas_k 2019-04-10 10:32:56 UTC
Created attachment 150656 [details]
Writer -> Edit show at all commands an icon

the UI is more consistent but not that fast to read.
Comment 3 Heiko Tietze 2019-04-10 12:42:25 UTC
The MSDN guideline [1] says:

Consider providing menu item icons for:

* The most commonly used items.
* Menu items whose icon is standard or well known.
* Menu items whose icon well illustrates what the command does.

Don't feel obligated to provide icons for commands that don't have a standard visualization. Cryptic icons aren’t helpful, create visual clutter, and prevent users from focusing on the important menu items.

That makes a lot of sense as the use case of icons is primarily not being a visual candy but an eye-catcher for frequently used items. If we show an icon one every single item the user finds to visual attractor and gets rather disturbed. So a +1 to this change. The circumstance is covered in our HIG by the mentioned sentence.

Question is, of course, what items are "most commonly used" and "well-known standards". But that's a detail question and better handled at the patch or per follow-up.

[1] https://docs.microsoft.com/en-us/windows/uwp/design/controls-and-patterns/menus
Comment 4 Heiko Tietze 2019-04-11 12:08:08 UTC
Andreas is changing the menus.
Comment 5 Rizal Muttaqin 2019-04-13 08:00:01 UTC
(In reply to andreas_k from comment #0)
> the LibreOffice guideline say that the Menubar should show the most
> importend items with an icon and the text [1].
> 
> I added for all menubars in sifr all icons. When I was finished there result
> is an consistent menubar, BUT the menubar isn't that fast to read as it
> should. In addition sifr is monochrome, so in any other icon theme the
> colored icons would be even more in your face than sifr icons.
> 
> So it's maybe better to follow the LibreOffice guideline and show only icons
> for the most improtend commands. 
> 
> As you need for all commands in an toolbar an Icon, the Menubar will show
> also for som not that much importend commands icons and the UI clutter.
> 
> So I recommend to define in the menubar.xml file wich command should show an
> icon and which not.
> 
> 
> https://wiki.documentfoundation.org/Design/MenuBar

Under what conditions is the menu slow to read? I don't find the difference (at least in my two machine).
Comment 6 Commit Notification 2019-04-13 19:22:20 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c034a7f68322c0f0c86a056af92cdc7fdfa18e4b%5E%21

tdf#124649 menubar show icons for the most important items

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-04-15 13:32:54 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/481a12574f04e86c9bd1adc5f2f6fe766dcb542a%5E%21

tdf#124649 sd menubars: show icons for most importent items

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-04-15 19:13:54 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/48215d7be1e2f94711e947ffb2922e6dd791d062%5E%21

tdf#124649 sc menubar: show icons for most importent items

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-04-15 19:15:25 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7188a4d8b2ace8b428968f3ff73a3d74cd4a736d%5E%21

tdf#124649 chart2 menubar: show icons for most importent items

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-04-15 19:17:46 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/683d71b35331868e43447c5209b07f25fdbe1186%5E%21

tdf#124649 framework menubar: show icons for most importent items

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-04-15 20:51:52 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/25a28cee10736e8a72b40b5ab2d11dea8d5254c3%5E%21

tdf#124649 bibliography menubar: show icons for most importent items

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 andreas_k 2019-04-15 20:53:06 UTC
All menubar files are updated
Comment 13 Commit Notification 2019-04-18 22:27:30 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0684e6feb3e04f70c37e16904fab613cfc7a4b1a%5E%21

tdf#124649 menubar: show icons for important items breeze, sifr

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.